Skip to content
GET /category

Response Body

limitnumber
Example: 100
next_cursorstring
Example: MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRa
resultsobject[]
created_atstring · date-time

The date and time when the category was created.

Example: 2021-08-10T10:00:00.000Z
labelstring

A user-facing label or descriptive name for the category.

Example: Human Resources
namestring

The internal name/slug of the category.

Example: hr
updated_atstring · date-time

The date and time when the category was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X GET 'https://api.truto.one/category' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/category', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/category"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

for await (const item of truto.category.list()) {
  console.log(item);
}
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.categories.list():
        print(item)

asyncio.run(main())